#!/bin/sh
#BG-Rescue Linux - Installer
#
#This program creates a bootable BG-Rescue Linux USB-Stick or SD-Card.
#You maybe need to use the ENTIRE DEVICE (eg /dev/sdX instead of /dev/sdX1).
#You need to be ROOT and to have DOSFSTOOLS and SYSLINUX installed.
#
#All data on the stick will be erased!
#You have to be ABSOLUTELY SURE of the device-name!!!
#This could destroy all the data on your harddisk if wrong!

VERSION=3.5.4
MNT=/mnt
MKDOSFS="mkdosfs"
SYSLINUX="syslinux"

USAGE () {
cat <<\EOF

BG-Rescue Linux - Installer

This program creates a bootable BG-Rescue Linux USB-Stick or SD-Card.
You maybe need to use the ENTIRE DEVICE (eg /dev/sdX instead of /dev/sdX1).
You need to be ROOT and to have DOSFSTOOLS and SYSLINUX installed.

All data on the stick will be erased!
You have to be ABSOLUTELY SURE of the device-name!!!
This could destroy all the data on your harddisk if wrong!

EOF
echo -e "Usage: `basename $0` <<DEVICE>>\n"
}

which $MKDOSFS > /dev/null || { USAGE; exit 1; }
which $SYSLINUX > /dev/null || { USAGE; exit 1; }
[[ "`id -u`x" == "0x" ]] || { USAGE; exit 1; }

[[ "$1x" == "x" ]] && USAGE && exit 1
[[ "$1x" == "-hx" ]] && USAGE && exit 1
[[ "$1x" == "--helpx" ]] && USAGE && exit 1
[[ "$2x" != "x" ]] && USAGE && exit 1


DEVICE="$1"

cat <<EOF

Installing BG-Rescue Linux on: $DEVICE ... 

All data on the device $DEVICE will be erased!
Please make sure, that this is REALLY the USB-Stick!

If everything is okay and you want to proceed
EOF

echo -en "type  yes  and press enter: "; read ANSWER

[[ "$ANSWER"x == "yes"x ]] &&

$MKDOSFS -n BG-Rescue -I $DEVICE &&
$SYSLINUX --install --stupid $DEVICE &&
mount $DEVICE $MNT &&
cp syslinux.usb $MNT/syslinux.cfg &&
cp vmlinuz initrd.img welcome.txt $MNT &&
touch $MNT/BG-Rescue-LINUX_$VERSION &&
umount $MNT &&
echo DONE && exit 0 || { echo FAILED!!!; exit 1; }
